Index: Makefile
===================================================================
--- Makefile	(revision 316705)
+++ Makefile	(working copy)
@@ -347,10 +347,7 @@
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITH_GCC)
-USE_GCC=	4.6+
-CONFIGURE_ENV+=	CXXCPP="${CPP}"
-.else
+.if defined(WITH_CLANG)
 .if exists(/usr/bin/clang) && ${OSVERSION} > 901502
 CC=		/usr/bin/clang
 CPP=		/usr/bin/clang-cpp
@@ -365,6 +362,9 @@
 CXX=		${LOCALBASE}/bin/clang++
 CONFIGURE_ENV+=	CXXCPP="${CXX} -E"
 .endif
+.else
+USE_GCC=	4.6+
+CONFIGURE_ENV+=	CXXCPP="${CPP}"
 .endif
 
 .if ${OSVERSION} < 900506
